Bug 1420689 - "Status: Not Subscribed" is displayed after registering with subscription-manger CLI.
Summary: "Status: Not Subscribed" is displayed after registering with subscription-man...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 7.3
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1398532
TreeView+ depends on / blocked
 
Reported: 2017-02-09 10:17 UTC by Wei Wang
Modified: 2019-04-28 13:30 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-23 15:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
log files (271.94 KB, application/x-gzip)
2017-02-09 10:17 UTC, Wei Wang
no flags Details

Description Wei Wang 2017-02-09 10:17:01 UTC
Created attachment 1248772 [details]
log files

Description of problem:
"Status: Not Subscribed" is displayed after registering with subscription-manger CLI

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-20170208.0
cockpit-ovirt-dashboard-0.10.7-0.0.6.el7ev.noarch
cockpit-ws-126-1.el7.x86_64
imgbased-0.9.6-0.1.el7ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. Install RHVH 4.1
2. Login with root account
3. #subscription-manager register with QE account for test
4. Check the subscription status with CLI
    #subscription-manager list



Actual results:
After step 3, "The system has been registered with ID: xxxxx " is displayed
After step 4, "Status: Not Subscribed" is displayed as below
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Virtualization Host
Product ID:     328
Version:        4.0
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:
Ends:


Expected results:
Status should be "subscribed" and register is real successfully.
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Virtualization Host
Product ID:     328
Version:        4.0
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         04/24/2013
Ends:           12/31/2021



Additional info:
If registering from cockpit webUI, the status displayed "subscribed"

Comment 1 Ryan Barry 2017-02-09 12:33:02 UTC
Joey, any ideas here?

Comment 2 Wei Wang 2017-02-14 07:24:07 UTC
The issue also occurs with RHLE7.3 (RHEL-7.3-20161019.0-Server-x86_64-dvd1.iso), change the Severity to urgent.

Comment 3 Ryan Barry 2017-02-14 13:53:56 UTC
(In reply to Wei Wang from comment #2)
> The issue also occurs with RHLE7.3
> (RHEL-7.3-20161019.0-Server-x86_64-dvd1.iso), change the Severity to urgent.

With the RHV repos, or normal RHEL repos?

Comment 6 Wei Wang 2017-02-15 02:10:18 UTC
(In reply to Ryan Barry from comment #3)
> (In reply to Wei Wang from comment #2)
> > The issue also occurs with RHLE7.3
> > (RHEL-7.3-20161019.0-Server-x86_64-dvd1.iso), change the Severity to urgent.
> 
> With the RHV repos, or normal RHEL repos?

with normal RHEL repos.

[root@bootp-73-75-97 ~]# subscription-manager register
Registering to: subscription.rhsm.redhat.com:443/subscription
Username: qa@redhat.com
Password: 
The system has been registered with ID: e58a29e2-8fce-4998-b4ce-f435f756e635 
[root@bootp-73-75-97 ~]# subscription-manager list

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.3
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:         
Ends:

Comment 8 Barnaby Court 2017-02-23 15:27:49 UTC
The register step does not implicitly attach a subscription. A subscription must be successfully attached to a registered system before it is considered subscribed.

Comment 9 Wei Wang 2017-02-24 06:27:52 UTC
The result is different with cockpit. On cockpit webUI, we also have the subscriptions function, and after registering, the system will be auto attached to the right subscription successfully. But from host console, we cannot auto attached with providing the same information (username and password) by CLI, we need to do more steps to get the same goal.It is not so convenient I think. I suggest making the "--auto-attch" for subscription-manager CLI to default option is more convenient for the customer.


Note You need to log in before you can comment on or make changes to this bug.